com.amazonaws.services.codecommit.model

## Class GetCommitRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codecommit.model.GetCommitRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class GetCommitRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a get commit operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`GetCommitRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetCommitRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getCommitId()` The commit ID.
`String` `getRepositoryName()` The name of the repository to which the commit was made.
`int` `hashCode()`
`void` `setCommitId(String commitId)` The commit ID.
`void` `setRepositoryName(String repositoryName)` The name of the repository to which the commit was made.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetCommitRequest` `withCommitId(String commitId)` The commit ID.
`GetCommitRequest` `withRepositoryName(String repositoryName)` The name of the repository to which the commit was made.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetCommitRequest

    public GetCommitRequest()

### Method Detail

#### setRepositoryName

    public void setRepositoryName(String repositoryName)

The name of the repository to which the commit was made.

Parameters:
  `repositoryName` - The name of the repository to which the commit was made.

#### getRepositoryName

    public String getRepositoryName()

The name of the repository to which the commit was made.

Returns:
  The name of the repository to which the commit was made.

#### withRepositoryName

    public GetCommitRequest withRepositoryName(String repositoryName)

The name of the repository to which the commit was made.

Parameters:
  `repositoryName` - The name of the repository to which the commit was made.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCommitId

    public void setCommitId(String commitId)

The commit ID.

Parameters:
  `commitId` - The commit ID.

#### getCommitId

    public String getCommitId()

The commit ID.

Returns:
  The commit ID.

#### withCommitId

    public GetCommitRequest withCommitId(String commitId)

The commit ID.

Parameters:
  `commitId` - The commit ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetCommitRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`